#ifndef __PRINTK_H
#define __PRINTK_H

#include <stdarg.h>

extern int __exc_fd; /* file-handle for printk() */

#ifdef __GNUC__
  extern int printk   (const char *fmt,...)             __attribute__((format(printf,1,2)));
  extern int fdprintk (int fd, const char *fmt, ...)    __attribute__((format(printf,2,3)));
  extern int sprintk  (char *buf, const char *fmt, ...) __attribute__((format(printf,2,3)));
#else
  extern int printk   (const char *fmt,...);
  extern int fdprintk (int fd, const char *fmt, ...);
  extern int sprintk  (char *buf, const char *fmt, ...);
#endif

extern int vsprintk (char *buf, const char *fmt, va_list args);

#endif
