.386
.387
.MODEL FLAT

;
; Demo program to test disassembly of FPU/MMX-instructions
; Also test loading & tracing of REX format executables
;

public var, pi_2, NaN, main

.CODE

var   dq  0
pi_2  dq  1.57079632679489661923    ; pi / 2
NaN   dq  07FFFFFFFFFFFFFFFh


extrn InstallExcHandler: near
extrn @_excAsmLines    : dword

main:   enter 0,0
        mov  @_excAsmLines,45
        push 0
        call InstallExcHandler
        pop  ecx

        mov  eax,0FFFFFFFFh
        mov  byte ptr [eax],0       ; cause crash

        fcos
        fsin
        fninit

        fld  qword ptr cs:var
        fld  st(1)
        fmul st(0), st(1)

        db 9Bh
        db 0DAh,0C0h

        fld1
        fsubrp  st(1), st(0)
        fsubr   pi_2
        fstp    qword ptr var
        fsqrt
        fpatan
        fptan

        fwait
        fnstsw ax


        ftst
        fxch    st(1)
        fnstcw  [ebp-4]    ; no wait
        fstcw   [ebp-4]
        fldcw   [ebp-4]
        frndint

        fldl2e
        fmulp
        fyl2x
        fldl2t

        frndint
        f2xm1
        fadd    qword ptr var
        fistp   qword ptr var
        fist    dword ptr var
        fscale
        fchs
        fldz
        fabs

        fprem
        fldln2
        fldlg2
        fnclex
        leave
        ret

        db 0Fh,77h        ; EMMS
        db 0Fh,08h        ; INVD

end

